Subject: rxvt: inheritance: shell, path and aliases
From: David Starks-Browning <[email-masked]>
To: "Fergus on Linux" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 16 Aug 2001 08:09:19 +0100

On Thursday 16 Aug 01, Fergus on Linux writes:
> Thank you for a terrific distribution.
> I have installed Cygwin in full and start it conventionally with
> /bin/bash --login -i.
> In ~/.bash_profile I set a path with PATH=, a prompt with PS1=; and also a
> number of aliases -- for example
>     alias rm="rm -i"
>     alias ls="ls --color"
> My question is this: when I open a rxvt terminal window with rxvt <Enter>,
> then I find using echo $SHELL that the shell is still /bin/bash as required;
> using echo $PATH the path is evidently preserved; the prompt is still as
> required; but the aliases have _not_ been inherited.

Environment variables are inherited by the rxvt shell, but not
aliases.  This is normal.  Put alias definitions in .bashrc if you
want them to be defined for every interactive bash shell.  Or invoke
bash in rxvt with --login:

	rxvt -e bash --login

This will force bash to read .bash_profile again.
Please read the bash man page.  This is not a Cygwin issue.

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/